#ifndef __GBZ80_H__
#define __GBZ80_H__

#include "stdafx.h"

typedef struct {
	struct regs {
		unsigned char F,A,C,B,E,D,L,H;
		unsigned short SP,PC;
	} regs;
	unsigned int cycles;
	bool halted,stopped;
} tag_cpu;

extern tag_cpu cpu;


extern bool cpu_reset();
extern void cpu_execute(unsigned int);
extern void cpu_rst(unsigned short);

#endif
